# heatmap_cli

A console program that generates yearly calendar heatmap.

## Installation

Stable version From PyPI using `pipx`:

```console
pipx install heatmap_cli
```

Stable version From PyPI using `pip`:

```console
python -m pip install heatmap_cli
```

Latest development version from GitHub:

```console
python -m pip install -e git+https://github.com/kianmeng/heatmap_cli.git
```

## Usage

```console
heatmap_cli -h
```

```console
usage: heatmap_cli [-yr YEAR] [-wk WEEK] [-d] [-v] [-h] [-V] CSV_FILENAME

A console program that generates yearly calendar heatmap.

  website: https://github.com/kianmeng/heatmap_cli
  issues: https://github.com/kianmeng/heatmap_cli/issues

positional arguments:
  CSV_FILENAME           csv filename

optional arguments:
  -yr YEAR, --year YEAR  filter by year from the CSV file (default: '2023')
  -wk WEEK, --week WEEK  filter until week of the year from the CSV file (default: '29')
  -d, --debug            show debugging log and stacktrace
  -v, --verbose          show verbosity of debugging log, use -vv, -vvv for more details
  -h, --help             show this help message and exit
  -V, --version          show program's version number and exit
```

## Copyright and License

Copyright (C) 2023 Kian-Meng Ang

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Affero General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along
with this program. If not, see <https://www.gnu.org/licenses/>.

The fish logo used in the documentation generated by Sphinx is a public domain
drawing of male freshwater phase [Steelhead (Oncorhynchus
mykiss)](https://en.wikipedia.org/w/index.php?oldid=1147106962) from
<https://commons.wikimedia.org/entity/M2787008>.
